
Application: gvSIG desktop - gvSIG bugs #488
NPE when invert selection on editing mode
04/02/2012 10:36 AM - Jose Manuel Vivó Arnal

Status: Closed % Done: 100%
Priority: Urgent Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Vector editing
Target version: 2.0.0-alpha5
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

    1. Create a new view
    2. Add a Shape
    3. Store the project
    4. Close the project 
    5. Open the stored project
    6. Select a feature (just select by point)
    7. Start Editing
    8. Open Attribute table
    9. Click on invert selection at menu bar

This steps throws:

java.lang.NullPointerException
    at
org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.getCommands(DefaultFeatureReferenceSelection.java:347)
    at org.gvsig.fmap.dal.feature.im
)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.reverse(DefaultFeatureReferenceSelection.java:257)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.reverse(DefaultFeatureReferenceSelection.java:247)
    at org.gvsig.app.extension.TableRowsOperations.invertSelection(TableRowsOperations.java:84)
    at org.gvsig.app.extension.TableRowsOperations.execute(TableRowsOperations.java:71)

Associated revisions
Revision 38192 - 04/23/2012 02:01 PM - Cesar Ordiñana

When loaded from persistence the FeatureSelectionHelper was not being created.
Fixes #488.

History
#1 - 04/06/2012 07:45 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 04/08/2012 09:51 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha5

#3 - 04/12/2012 01:49 PM - Cesar Ordiñana
- Status changed from New to In progress
- Assignee set to Cesar Ordiñana

#4 - 04/12/2012 03:30 PM - Cesar Ordiñana
- Status changed from In progress to Awaiting response

I was unable to reproduce the problem. Maybe its related to the layer being edited.

¿Could you provide the shape which produced the error just in case?

#5 - 04/13/2012 09:58 AM - Jose Manuel Vivó Arnal

Try to reproduce it in a stored project.

#6 - 04/23/2012 07:49 PM - Cesar Ordiñana
- Description updated

Yes, the error is produced over a view of an stored project, instead of a new one.

I'm going to change the main description of the steps to reflect it.

#7 - 04/23/2012 08:01 PM - Cesar Ordiñana
- Status changed from Awaiting response to Fixed
- % Done changed from 0 to 100

Applied in changeset r38192.

#8 - 06/08/2012 01:02 PM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2047

#9 - 06/08/2012 01:10 PM - María Maluenda

Closed in the gvSIG build 2047
